Bug 461387 - Adopt KHamburgerMenu
Summary: Adopt KHamburgerMenu
Status: RESOLVED FIXED
Alias: None
Product: dragonplayer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-03 22:01 UTC by Nate Graham
Modified: 2022-11-25 05:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 23.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2022-11-03 22:01:22 UTC
This app has a very small menu structure, and is a perfect candidate for adopting KHamburgerMenu and hiding the menubar by default. This will slim down the UI without losing functionality or usability.
Comment 1 Bug Janitor Service 2022-11-17 19:32:42 UTC
A possibly relevant merge request was started @ https://invent.kde.org/multimedia/dragon/-/merge_requests/9
Comment 2 Harald Sitter 2022-11-24 13:43:12 UTC
Git commit b342129eb26a102cab6ccd5750986645cab79594 by Harald Sitter.
Committed on 24/11/2022 at 13:41.
Pushed by sitter into branch 'master'.

add hamburger menu

gives a neater UI by default

M  +1    -0    misc/dragonplayerrc
M  +3    -1    misc/dragonplayerui.rc
M  +53   -1    src/app/mainWindow.cpp
M  +3    -0    src/app/mainWindow.h
M  +1    -0    src/app/videoWindow.cpp

https://invent.kde.org/multimedia/dragon/commit/b342129eb26a102cab6ccd5750986645cab79594